org.apache.solr.client.solrj.cloud.autoscaling

## Class Clause

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Clause

All Implemented Interfaces:
  Comparable<Clause>, MapSerializable, MapWriter

    public class Clause
    extends Object
    implements MapWriter, Comparable<Clause>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`static String` `METRICS_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`Clause(Map<String,Object> m)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compareTo(Clause that)`
`boolean` `doesOverride(Clause that)`
`boolean` `equals(Object o)`
`boolean` `isPerCollectiontag()`
`boolean` `isStrict()`
`static Double` `parseDouble(String name, Object val)`
`static Long` `parseLong(String name, Object val)`
`static String` `parseString(Object val)`
`List<Violation>` `test(List<Row> allRows)`
`String` `toString()`
`static Object` `validate(String name, Object val, boolean isRuleVal)`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Field Detail

#### METRICS_PREFIX

    public static final String METRICS_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### Clause

    public Clause(Map<String,Object> m)

### Method Detail

#### doesOverride

    public boolean doesOverride(Clause that)

#### isPerCollectiontag

    public boolean isPerCollectiontag()

#### compareTo

    public int compareTo(Clause that)

Specified by:
  `compareTo` in interface `Comparable<Clause>`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### test

    public List<Violation> test(List<Row> allRows)

#### isStrict

    public boolean isStrict()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### parseString

    public static String parseString(Object val)

#### validate

    public static Object validate(String name,
                                  Object val,
                                  boolean isRuleVal)

Parameters:
  `name` - name of the condition
  `val` - value of the condition
  `isRuleVal` - is this provided in the rule
Returns:
  actual validated value

#### parseLong

    public static Long parseLong(String name,
                                 Object val)

#### parseDouble

    public static Double parseDouble(String name,
                                     Object val)